package com.kym.admin.config;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.config.impl.WxMaDefaultConfigImpl;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;


/**
 * 微信运营看板小程序配置
 */
@Configuration
public class WxKanbanConfig {

    @Value("${wechat.kanban.appid}")
    private String appid;


    @Value("${wechat.kanban.secret}")
    private String secret;

    @Value("${wechat.kanban.token}")
    private String token;

    @Bean("kanbanWxMaService")
    public WxMaService kanbanWxMaService() {
        WxMaServiceImpl impl = new WxMaServiceImpl();
        WxMaDefaultConfigImpl config = new WxMaDefaultConfigImpl();
        config.setAppid(appid);
        config.setSecret(secret);
        config.setToken(token);
        impl.setWxMaConfig(config);
        return impl;
    }
}
